> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspace notifications

> Returns a paginated list of workspace notifications for the authorized organization (includes accessible delegated tenants). Aggregation not available on this endpoint.



## OpenAPI

````yaml /en/api-reference/openapi.en-v2.json get /v2/organizations/{organization_id}/workspaces/{workspace_id}/workspace-notifications
openapi: 3.0.3
info:
  title: API Publica Portal
  version: 1.0.0
  description: Public REST API for portal
servers:
  - url: https://api.flexxible.net/
    description: Portal API
security:
  - bearerAuth: []
tags:
  - name: Solve
    description: Flexxible Solve ticket visibility and management
  - name: Digital activity
    description: Core process group creation by organization
  - name: Locations
    description: Location management (FWS)
  - name: Roles
    description: Role creation endpoint for organization
  - name: Users
    description: User creation endpoint for organization
  - name: Workspace groups
    description: Management endpoints for workspace groups
  - name: Networks
    description: Network management (FWS)
  - name: WiFi Networks
    description: Wi-Fi network management (FWS)
  - name: Workspaces
    description: Workspace deletion endpoint for the organization
  - name: Event logs
    description: Workspace event logs query
  - name: Installed apps
    description: Installed application detail endpoint for the organization
  - name: Authentication
    description: Session context and authentication endpoints
  - name: Microservices
    description: Details of microservices by organization
  - name: Operations
    description: Detail queries for operations by organization
  - name: Organization
    description: Organization operations
  - name: Patch policy targets
    description: Patch policy objective management endpoints
  - name: Product configurations
    description: Product configuration management endpoints
  - name: Reporting Groups
    description: Operations on reporting groups
  - name: Sessions
    description: Session detail endpoint for the organization
  - name: Tenants
    description: Tenant management endpoints
  - name: Workspace Connection Logs
    description: Workspace connection logs query
  - name: Workspace GPO
    description: Query GPOs applied to a session
  - name: Workspace Notifications
    description: Workspace notifications query
paths:
  /v2/organizations/{organization_id}/workspaces/{workspace_id}/workspace-notifications:
    get:
      tags:
        - Workspace Notifications
      summary: List workspace notifications
      description: >-
        Returns a paginated list of workspace notifications for the authorized
        organization (includes accessible delegated tenants). Aggregation not
        available on this endpoint.
      operationId: listWorkspaceNotificationsByWorkspace
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Workspace ID in Portal
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Organization identifier.
          example: 507f1f77bcf86cd799439011
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            minimum: 1
          description: Page number.
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 100
            minimum: 1
            maximum: 100
          description: Number of items per page.
        - name: fields
          in: query
          required: false
          schema:
            type: string
            maxLength: 2048
          description: Response fields separated by commas for each element.
          example: id,status,severity,organization_id
        - name: filters
          in: query
          required: false
          schema:
            type: string
            maxLength: 5120
          description: JSON expression of filters on filterable resource fields.
          examples:
            simple:
              summary: Filter by message
              value: '{"field":"message","op":"contains","value":"mantenimiento"}'
            complex-and:
              summary: Filter by status and severity
              value: >-
                {"and":[{"field":"status","op":"eq","value":"generated"},{"field":"severity","op":"eq","value":"issue"}]}
            complex-or-and:
              summary: Filter by target and state
              value: >-
                {"and":[{"or":[{"field":"target","op":"eq","value":"workspaces"},{"field":"target","op":"eq","value":"sessions"}]},{"field":"status","op":"eq","value":"generated"}]}
        - name: sort
          in: query
          required: false
          schema:
            type: string
            pattern: ^([a-z_]+):(asc|desc)$
          description: >-
            Sorting expression with format <field>:asc|desc. Default
            start_date_utc:desc.
          example: start_date_utc:desc
      responses:
        '200':
          description: Workspace notifications retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWorkspaceNotificationsResponseV2'
              examples:
                paginated_result:
                  summary: Paginated list with results
                  value:
                    has_next: false
                    data:
                      - id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                        severity: maintenance
                        target: workspaces
                        status: generated
                        time_zone: Europe/Madrid
                        start_date_utc: '2026-09-01T08:00:00.000Z'
                        end_date_utc: '2026-09-01T18:00:00.000Z'
                        message: Mantenimiento programado
                        ask_for_acknowledgement: true
                        accepted_by_users: 12
                        blink: false
                        disable_minimize: false
                        tooltip: Aviso de mantenimiento
                        link: https://example.com/notice
                        organization_id: 507f1f77bcf86cd799439011
        '400':
          description: Invalid request parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                invalid_parameters:
                  summary: Invalid parameters
                  value:
                    error:
                      message: Parámetros de solicitud no válidos.
                      code: BAD_REQUEST
                      details: per_page must be less than or equal to 100
        '401':
          description: Not authorized or without access to the organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  summary: Unauthorized
                  value:
                    error:
                      message: No autorizado.
                      code: UNAUTHORIZED
        '404':
          description: Resource not found within the authorized organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                not_found:
                  summary: Resource not found
                  value:
                    error:
                      message: Recurso no encontrado.
                      code: NOT_FOUND
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                rate_limited:
                  summary: Request limit exceeded
                  value:
                    error:
                      message: Límite de solicitudes excedido.
                      code: TOO_MANY_REQUESTS
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                server_error:
                  summary: Internal error
                  value:
                    error:
                      message: Error interno del servidor.
                      code: INTERNAL_SERVER_ERROR
        '503':
          description: Service unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                service_unavailable:
                  summary: Service unavailable
                  value:
                    error:
                      message: Database unavailable
                      code: SERVICE_UNAVAILABLE
components:
  schemas:
    ListWorkspaceNotificationsResponseV2:
      type: object
      properties:
        has_next:
          type: boolean
          description: Indicates if there's a next page.
        data:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceNotificationItemV2'
      required:
        - has_next
        - data
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
    WorkspaceNotificationItemV2:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Workspace notification ID
        severity:
          type: string
          nullable: true
          enum:
            - informative
            - maintenance
            - issue
          description: Notification severity.
        target:
          type: string
          nullable: true
          enum:
            - workspaces
            - sessions
            - users
          description: Notification destination.
        status:
          type: string
          nullable: true
          enum:
            - pending
            - generated
            - closing
            - manually_closed
            - error
            - expired
          description: Notification status.
        time_zone:
          type: string
          nullable: true
          description: Notification time zone.
        start_date_utc:
          type: string
          nullable: true
          format: date-time
          description: Start date and time in UTC.
        end_date_utc:
          type: string
          nullable: true
          format: date-time
          description: End date and time in UTC.
        message:
          type: string
          nullable: true
          description: Notification message.
        ask_for_acknowledgement:
          type: boolean
          nullable: true
          description: Indicates if acknowledgment is requested.
        accepted_by_users:
          type: number
          nullable: true
          description: Number of users who accepted the notification.
        blink:
          type: boolean
          nullable: true
          description: Indicates if the notification blinks.
        disable_minimize:
          type: boolean
          nullable: true
          description: Indicates if minimizing the notification is disabled.
        tooltip:
          type: string
          nullable: true
          description: Notification help text.
        link:
          type: string
          nullable: true
          description: Link associated with the notification.
        organization_id:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Identifier of the associated organization.
      required:
        - id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````